(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     25254,        682]
NotebookOptionsPosition[     24861,        667]
NotebookOutlinePosition[     25298,        684]
CellTagsIndexPosition[     25255,        681]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"n", " ", "=", " ", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"l", " ", "=", "40"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"l", "'"}], "=", "39"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"maxK", " ", "=", " ", "300"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"speed", " ", "of", " ", "light", " ", 
    RowBox[{"m", "/", "s"}]}], "*)"}], " ", 
  RowBox[{
   RowBox[{"c", "=", "2.998*^8"}], ";"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Rydberg", " ", "Constant"}], "*)"}], " ", 
  RowBox[{
   RowBox[{"R", "=", 
    RowBox[{"m", "*", 
     RowBox[{
      RowBox[{"e", "^", "4"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"4", "\[Pi]", "*", 
           SubscriptBox["\[Epsilon]", "0"]}], ")"}], "^", "2"}], "*", 
        RowBox[{"\[HBar]", "^", "2"}]}], ")"}]}]}]}], " ", 
   ";"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"(*", 
   RowBox[{"Rydberg", " ", "Frequency"}], "*)"}], 
  RowBox[{
   RowBox[{"Ry", "=", 
    RowBox[{"m", "*", 
     RowBox[{
      RowBox[{"e", "^", "4"}], "/", 
      RowBox[{"(", 
       RowBox[{"4", "\[Pi]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"4", "\[Pi]", "*", 
           SubscriptBox["\[Epsilon]", "0"]}], ")"}], "^", "2"}], "*", 
        RowBox[{"\[HBar]", "^", "3"}]}], ")"}]}]}]}], 
   ";"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Charge", " ", "of", " ", "Electron", " ", "in", " ", "SI"}], 
   "*)"}], " ", 
  RowBox[{
   RowBox[{"e", "=", "1.60*^-19"}], ";"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"\[HBar]", "-", 
    RowBox[{"bar", " ", "SI", " ", "units"}]}], "*)"}], " ", 
  RowBox[{
   RowBox[{"\[HBar]", "=", " ", "1.06*^-34"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Epsilon", " ", "naught", " ", "SI", " ", "units"}], "*)"}], 
  RowBox[{
   RowBox[{
    SubscriptBox["\[Epsilon]", "0"], "=", "8.85*^-12"}], 
   ";"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "mass", " ", "in", " ", "kilos", " ", "of", " ", "electron", " ", "SI"}], 
   "*)"}], " ", 
  RowBox[{
   RowBox[{"m", "=", "9.109383*^-31"}], ";"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Bohr", " ", "Radius"}], "*)"}], 
  RowBox[{
   RowBox[{
    SubscriptBox["a", "0"], "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"4", "\[Pi]", "*", 
       SubscriptBox["\[Epsilon]", "0"], "*", 
       RowBox[{"\[HBar]", "^", "2"}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"m", "*", 
       RowBox[{"e", "^", "2"}]}], ")"}]}]}], " ", 
   ";"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Semimajor", " ", "Axis"}], "*)"}], 
  RowBox[{
   RowBox[{"a", "=", 
    RowBox[{
     SuperscriptBox["n", "2"], "*", 
     SubscriptBox["a", "0"]}]}], " ", ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"horbatsch", "'"}], "s", " ", "semi"}], "-", 
    RowBox[{"classical", " ", "approach"}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]", "=", " ", 
    SqrtBox[
     RowBox[{" ", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{"l", "*", 
         RowBox[{"(", 
          RowBox[{"l", "+", "1"}], ")"}]}], 
        SuperscriptBox["n", "2"]]}]}]]}], ";"}], " ", 
  RowBox[{"(*", "Eccentricity", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"j", "=", " ", 
    FractionBox[
     RowBox[{
      SuperscriptBox["n", "2"], "*", 
      RowBox[{"(", 
       RowBox[{"4", "*", "\[Pi]", "*", 
        SubscriptBox["\[Epsilon]", "0"]}], ")"}], "*", 
      SuperscriptBox["\[HBar]", "2"]}], 
     RowBox[{"m", "*", 
      SuperscriptBox["e", "2"]}]]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"Definition", " ", "for", " ", "a"}], "*)"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["\[Omega]", "0"], " ", "=", " ", 
    RowBox[{
     FractionBox["1", 
      SuperscriptBox["n", "3"]], "*", 
     RowBox[{"(", 
      FractionBox[
       RowBox[{"m", "*", 
        SuperscriptBox["e", "4"]}], 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"4", "*", "\[Pi]", "*", 
           SubscriptBox["\[Epsilon]", "0"]}], ")"}], "2"], "*", 
        SuperscriptBox["\[HBar]", "3"]}]], ")"}]}]}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"angular", " ", "frequency", " ", "reduction"}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"frequency", " ", "=", " ", 
    RowBox[{
     SubscriptBox["\[Omega]", "0"], "*", "k"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"upTrans", "[", "k_", "]"}], ":=", " ", 
   RowBox[{
    FractionBox[
     RowBox[{
      SuperscriptBox["j", "2"], "*", 
      SuperscriptBox["e", "2"], "*", 
      SuperscriptBox[
       SubscriptBox["\[Omega]", "0"], "3"], "*", "k"}], 
     RowBox[{
      RowBox[{"6", "*", "\[Pi]", "*", 
       SubscriptBox["\[Epsilon]", "0"], "*", "\[HBar]", "*", 
       SuperscriptBox["c", "3"]}], "\[IndentingNewLine]"}]], "*", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", "2"], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"BesselJ", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "+", "k"}], ",", 
             RowBox[{"k", "*", "\[Epsilon]"}]}], "]"}], "-", 
           RowBox[{"BesselJ", "[", 
            RowBox[{
             RowBox[{"1", "+", "k"}], ",", 
             RowBox[{"k", "*", "\[Epsilon]"}]}], "]"}]}], ")"}]}], ")"}], "-", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{"(", 
           FractionBox[
            RowBox[{"1", "-", 
             SuperscriptBox["\[Epsilon]", "2"]}], 
            SuperscriptBox["\[Epsilon]", "2"]], ")"}], "]"}], "*", 
         RowBox[{"(", 
          RowBox[{"BesselJ", "[", 
           RowBox[{"k", ",", 
            RowBox[{"k", "*", "\[Epsilon]"}]}], "]"}], ")"}]}], ")"}]}], 
      ")"}], "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"downTrans", "[", "k_", "]"}], ":=", " ", 
   RowBox[{
    FractionBox[
     RowBox[{
      SuperscriptBox["j", "2"], "*", 
      SuperscriptBox["e", "2"], "*", 
      SuperscriptBox[
       SubscriptBox["\[Omega]", "0"], "3"], "*", "k"}], 
     RowBox[{
      RowBox[{"6", "*", "\[Pi]", "*", 
       SubscriptBox["\[Epsilon]", "0"], "*", "\[HBar]", "*", 
       SuperscriptBox["c", "3"]}], "\[IndentingNewLine]"}]], "*", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", "2"], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"BesselJ", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "+", "k"}], ",", 
             RowBox[{"k", "*", "\[Epsilon]"}]}], "]"}], "-", 
           RowBox[{"BesselJ", "[", 
            RowBox[{
             RowBox[{"1", "+", "k"}], ",", 
             RowBox[{"k", "*", "\[Epsilon]"}]}], "]"}]}], ")"}]}], ")"}], "+", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{"(", 
           FractionBox[
            RowBox[{"1", "-", 
             SuperscriptBox["\[Epsilon]", "2"]}], 
            SuperscriptBox["\[Epsilon]", "2"]], ")"}], "]"}], "*", 
         RowBox[{"(", 
          RowBox[{"BesselJ", "[", 
           RowBox[{"k", ",", 
            RowBox[{"k", "*", "\[Epsilon]"}]}], "]"}], ")"}]}], ")"}]}], 
      ")"}], "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"downPoints", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"downTrans", "[", "k", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "maxK"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"upPoints", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"upTrans", "[", "k", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "maxK"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"upPlusDown", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"upTrans", "[", "k", "]"}], "+", 
       RowBox[{"downTrans", "[", "k", "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "1", ",", "maxK"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"powerSemiClassicalHorbatschData", " ", "=", " ", 
    RowBox[{"Transpose", "@", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{"frequency", ",", " ", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", "maxK"}], "}"}]}], "]"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"upTrans", "[", "k", "]"}], "+", 
            RowBox[{"downTrans", "[", "k", "]"}]}], ")"}], "*", "\[HBar]", 
          "*", "frequency"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", "maxK"}], "}"}]}], "]"}]}], "}"}]}]}], 
   ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]",
   "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Jasper", " ", "Quantum", " ", "approach"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"dif", "[", 
     RowBox[{"n_", ",", " ", "n\[Prime]_", ",", " ", "l_"}], "]"}], ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", " ", 
     RowBox[{
      RowBox[{"n\[Prime]", " ", "==", "n"}], ",", " ", 
      RowBox[{
       RowBox[{"output", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1.5", "*", "n", "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"n", "^", "2"}], " ", "-", " ", 
              RowBox[{"l", "^", "2"}]}], ")"}], "^", 
            RowBox[{"(", "0.5", ")"}]}]}], ")"}], "^", 
         RowBox[{"(", "2", ")"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"IntegerPart", "[", "output", "]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"output", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FractionBox[
            RowBox[{
             RowBox[{"(", 
              RowBox[{"-", "1"}], ")"}], "^", 
             RowBox[{"(", 
              RowBox[{"n\[Prime]", "-", "l"}], ")"}]}], 
            RowBox[{"(", 
             RowBox[{"4", "*", 
              RowBox[{"Factorial", "[", 
               RowBox[{
                RowBox[{"2", "*", "l"}], "-", "1"}], "]"}]}], ")"}]], "*", 
           RowBox[{"Sqrt", "[", 
            RowBox[{
             RowBox[{"Factorial", "[", 
              RowBox[{"n", "+", "l"}], "]"}], "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Factorial", "[", 
                RowBox[{"n\[Prime]", "+", "l", "-", "1"}], "]"}], "/", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Factorial", "[", 
                  RowBox[{"n", "-", "l", "-", "1"}], "]"}], "*", 
                 RowBox[{"Factorial", "[", 
                  RowBox[{"n\[Prime]", "-", "l"}], "]"}]}], ")"}]}], ")"}]}], 
            "]"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"n", "-", "n\[Prime]"}], ")"}], "^", 
                RowBox[{"(", 
                 RowBox[{"n", "+", "n\[Prime]", "-", 
                  RowBox[{"2", "*", "l"}], "-", "2"}], ")"}]}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"4", "*", "n", "*", "n\[Prime]"}], ")"}], "^", 
                RowBox[{"(", 
                 RowBox[{"l", "+", "1"}], ")"}]}]}], ")"}], "/", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"n", "+", "n\[Prime]"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"n", "+", "n\[Prime]"}], ")"}]}]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Hypergeometric2F1", "[", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{"n", "-", "l", "-", "1"}], ")"}]}], ",", 
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{"n\[Prime]", "-", "l"}], ")"}]}], ",", 
               RowBox[{"2", "*", "l"}], ",", 
               FractionBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "4"}], "*", "n", "*", "n\[Prime]"}], ")"}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"n", "-", "n\[Prime]"}], ")"}], "^", "2"}]]}], 
              "]"}], "-", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                FractionBox[
                 RowBox[{"(", 
                  RowBox[{"n", "-", "n\[Prime]"}], ")"}], 
                 RowBox[{"(", 
                  RowBox[{"n", "+", "n\[Prime]"}], ")"}]], ")"}], "^", "2"}], 
              "*", 
              RowBox[{"Hypergeometric2F1", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"(", 
                   RowBox[{"n", "-", "l", "-", "1"}], ")"}]}], "-", "2"}], 
                ",", 
                RowBox[{"-", 
                 RowBox[{"(", 
                  RowBox[{"n\[Prime]", "-", "l"}], ")"}]}], ",", 
                RowBox[{"2", "*", "l"}], ",", 
                FractionBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "4"}], "*", "n", "*", "n\[Prime]"}], ")"}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"n", "-", "n\[Prime]"}], ")"}], "^", "2"}]]}], 
               "]"}]}]}], ")"}]}], ")"}], "^", "2"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"N", "[", "output", "]"}]}]}], "]"}]}], ";"}], 
  "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"getOmega", "[", 
    RowBox[{"n_", ",", "n\[Prime]_"}], "]"}], "=", 
   RowBox[{"N", "[", 
    RowBox[{"R", "*", 
     FractionBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"-", "1"}], 
         RowBox[{"(", 
          RowBox[{"n", "^", "2"}], ")"}]], "-", 
        RowBox[{"(", 
         FractionBox[
          RowBox[{"-", "1"}], 
          RowBox[{"(", 
           RowBox[{"n\[Prime]", "^", "2"}], ")"}]], ")"}]}], ")"}], 
      "\[HBar]"]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"powerQuantumApproach", "[", 
     RowBox[{
     "\[Omega]_", ",", "n_", ",", "n\[Prime]_", ",", "l_", ",", 
      "l\[Prime]_"}], "]"}], "=", 
    RowBox[{
     FractionBox[
      RowBox[{"(", 
       RowBox[{"\[HBar]", "*", 
        RowBox[{"\[Omega]", "^", "4"}], "*", 
        RowBox[{"Max", "[", 
         RowBox[{"l", ",", "l\[Prime]"}], "]"}]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"3", 
        RowBox[{"\[Pi]", "^", "3"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", "l"}], "+", "1"}], ")"}], "*", 
        RowBox[{"Ry", "^", "3"}]}], ")"}]], "*", 
     RowBox[{"dif", "[", 
      RowBox[{"n", ",", "n\[Prime]", ",", "l"}], "]"}], "*", 
     RowBox[{"10", "^", "9"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"powerQuantumData", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"n\[Prime]", ",", 
        RowBox[{"l", "-", "1"}], ",", 
        RowBox[{"getOmega", "[", 
         RowBox[{"n", ",", "n\[Prime]"}], "]"}], ",", 
        RowBox[{"powerQuantumApproach", "[", 
         RowBox[{
          RowBox[{"getOmega", "[", 
           RowBox[{"n", ",", "n\[Prime]"}], "]"}], ",", "n", ",", "n\[Prime]",
           ",", "l", ",", 
          RowBox[{"l", "'"}]}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"n\[Prime]", ",", "l", ",", 
        RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Horbatsch", " ", "semi", " ", "classical", " ", "approach", " ", 
    "scaled"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kScaler", "[", "nPrime_", "]"}], " ", ":=", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"n", "-", "nPrime"}], ")"}], "/", "n"}]}], ")"}], 
    RowBox[{"-", "3"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"omegaQuantum", "[", "nPrime_", "]"}], " ", ":=", " ", 
   RowBox[{"R", "*", 
    FractionBox[
     RowBox[{
      FractionBox[
       RowBox[{"-", "1"}], 
       SuperscriptBox["n", "2"]], "-", 
      FractionBox[
       RowBox[{"-", "1"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"n", "-", 
          RowBox[{"(", 
           RowBox[{"n", "-", "nPrime"}], ")"}]}], ")"}], "2"]]}], 
     "\[HBar]"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"harmonicK", "[", "nPrime_", "]"}], ":=", " ", 
   RowBox[{
    FractionBox["n", "2"], 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"n", "-", "nPrime"}], ")"}], "/", "n"}]}], ")"}], 
       RowBox[{"-", "2"}]], "-", "1"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"powerSemiClassicalHorbatschScaledData", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"omegaQuantum", "[", "nPrime", "]"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"upTrans", "[", " ", 
            RowBox[{"harmonicK", "[", "nPrime", "]"}], "]"}], "+", 
           RowBox[{"downTrans", "[", " ", 
            RowBox[{"harmonicK", "[", "nPrime", "]"}], "]"}]}], ")"}], "*", 
         "\[HBar]", "*", 
         RowBox[{"kScaler", "[", "nPrime", "]"}], "*", 
         RowBox[{"omegaQuantum", "[", "nPrime", "]"}]}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"nPrime", ",", "l", ",", 
        RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "powerSemiClassicalHorbatschData", ",", 
     "powerSemiClassicalHorbatschScaledData", ",", 
     RowBox[{"powerQuantumData", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "4"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"PlotLegends", "->", 
    RowBox[{"{", 
     RowBox[{
     "\"\<SemiClassical Horbatsch\>\"", ",", 
      "\"\<SemiClassical Horbatsch Scaled\>\"", ",", "\"\<Quantum\>\""}], 
     "}"}]}], ",", 
   RowBox[{"AxesLabel", "->", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Frequency[Hz]\>\"", ",", " ", "\"\<Power Dissipated [Watts]\>\""}], 
     "}"}]}], ",", " ", 
   RowBox[{"PlotLabel", " ", "->", " ", "\"\<Power vs Frequency\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{
  3.8992860391605453`*^9, {3.89929458004887*^9, 3.899294643502466*^9}, {
   3.8992946835572047`*^9, 3.899294740165315*^9}, {3.899294804362811*^9, 
   3.899294894277047*^9}, {3.8992949885470147`*^9, 3.8992950619093246`*^9}, {
   3.8992951415663395`*^9, 3.8992951645128837`*^9}, {3.8992952144596744`*^9, 
   3.899295280562685*^9}, {3.8992953212057624`*^9, 3.8992953354784517`*^9}, {
   3.899295384650364*^9, 3.899295412772313*^9}, {3.899295508096923*^9, 
   3.899295528146977*^9}, {3.899295916810649*^9, 3.899295947158474*^9}, {
   3.899296090373152*^9, 3.8992960913826303`*^9}, {3.899373468443921*^9, 
   3.899373472485098*^9}, {3.8993735087859397`*^9, 3.899373748039904*^9}, {
   3.899373801391856*^9, 3.899373847245183*^9}, {3.8993738877832117`*^9, 
   3.899373905002705*^9}, {3.8993739896920414`*^9, 3.899374078860384*^9}, {
   3.8993741091400623`*^9, 3.8993741107592506`*^9}, {3.8993741430369234`*^9, 
   3.8993742475334325`*^9}, {3.899374832551262*^9, 3.899374842660757*^9}, 
   3.8993750452067537`*^9, {3.8993751035016174`*^9, 3.899375105038861*^9}, {
   3.8993751921393642`*^9, 3.8993751930387993`*^9}, {3.899375294854901*^9, 
   3.8993753414635973`*^9}, {3.8993753732985964`*^9, 
   3.8993755341744947`*^9}, {3.899375608680298*^9, 3.899375614277693*^9}, {
   3.8993840304261093`*^9, 3.8993840348846407`*^9}, {3.8993872161075315`*^9, 
   3.8993872268007083`*^9}, {3.8993872844670973`*^9, 3.899387391501171*^9}, {
   3.899387431378848*^9, 3.899387471868394*^9}, {3.8993875208685093`*^9, 
   3.8993875669073176`*^9}, {3.8993876347739267`*^9, 3.89938764537492*^9}, {
   3.8993877392112265`*^9, 3.8993877792989416`*^9}, 3.8993878270123672`*^9, {
   3.8993885809401007`*^9, 3.89938868334727*^9}, 3.8993890324970107`*^9, {
   3.8993891750633807`*^9, 3.8993893327842975`*^9}, 3.8993893803297443`*^9, {
   3.8993894221652093`*^9, 3.899389506623398*^9}, {3.899389540043425*^9, 
   3.8993896625513077`*^9}, {3.89938971755805*^9, 3.899389920612013*^9}, {
   3.899390154401815*^9, 3.8993901546117144`*^9}, {3.899390221364873*^9, 
   3.899390288925149*^9}, {3.899390393191578*^9, 3.899390428502164*^9}, {
   3.8993904828488445`*^9, 3.8993904902008142`*^9}, {3.899390547980077*^9, 
   3.8993905484797535`*^9}, {3.899390780420819*^9, 3.89939084307181*^9}, 
   3.899390879882783*^9, {3.899391063689345*^9, 3.8993910685067844`*^9}, {
   3.8993914407451653`*^9, 3.8993915476608152`*^9}, {3.899391943838262*^9, 
   3.8993919810910907`*^9}, {3.899392017702577*^9, 3.8993920593114877`*^9}, {
   3.8993921667855024`*^9, 3.8993921821476893`*^9}, {3.89939222667197*^9, 
   3.8993923699057646`*^9}, {3.899392404976081*^9, 3.8993924629668283`*^9}, {
   3.899392500048842*^9, 3.8993925358397365`*^9}, {3.8993925866471453`*^9, 
   3.8993926316431684`*^9}, {3.8993926664924192`*^9, 3.899392699633315*^9}, {
   3.899392733732704*^9, 3.899392780294018*^9}, {3.899393782230523*^9, 
   3.8993937842026815`*^9}, {3.89939381579416*^9, 3.8993938624500976`*^9}, {
   3.89939389377185*^9, 3.899393898053095*^9}, {3.8993939377839727`*^9, 
   3.8993939401973658`*^9}, {3.899394009114379*^9, 3.899394012460907*^9}, {
   3.8993940508197174`*^9, 3.899394104165601*^9}, {3.8993942338557825`*^9, 
   3.899394323003612*^9}, {3.8993945141499257`*^9, 3.8993947226872797`*^9}, {
   3.899394756120078*^9, 3.899394793513711*^9}, {3.8993948440674844`*^9, 
   3.899395117598234*^9}, {3.899395155336424*^9, 3.8993951713078785`*^9}, {
   3.8993952713152037`*^9, 3.8993953336702943`*^9}, {3.8993953668826513`*^9, 
   3.8993953702683573`*^9}, {3.899395427012518*^9, 3.899395489788982*^9}, {
   3.8993955203523126`*^9, 3.899395560521185*^9}, {3.8993956072757564`*^9, 
   3.8993958566127753`*^9}, {3.8994540275824156`*^9, 3.899454220519313*^9}, {
   3.8994542554451885`*^9, 3.8994542882912025`*^9}, {3.8994711255530963`*^9, 
   3.899471161757992*^9}, {3.899471493906295*^9, 3.899471494340192*^9}, {
   3.8994716151548824`*^9, 3.8994716529639015`*^9}, {3.89947182404132*^9, 
   3.899471831627165*^9}, {3.899471869638188*^9, 3.8994719249297676`*^9}, {
   3.899472060985628*^9, 3.8994720684584084`*^9}, {3.8994736562991104`*^9, 
   3.8994736628893023`*^9}, {3.8994741258117604`*^9, 3.899474126810418*^9}, {
   3.899800612683094*^9, 3.899800622265134*^9}, 3.8998007587807417`*^9, {
   3.8998008070102034`*^9, 3.899800838063607*^9}, {3.8998009081489477`*^9, 
   3.899800919375327*^9}, {3.899801117680483*^9, 3.899801141791997*^9}, {
   3.8998011938692107`*^9, 3.8998012286212215`*^9}, {3.8998013251752415`*^9, 
   3.8998013266555796`*^9}, {3.8998016865994844`*^9, 3.89980189525707*^9}, 
   3.8998019679565415`*^9, {3.899802042101616*^9, 3.899802043620799*^9}, {
   3.8998020867005696`*^9, 3.8998021276950607`*^9}},
 Background->GrayLevel[0.85],
 CellLabel->
  "In[711]:=",ExpressionUUID->"f1a50a03-e5c0-4cd7-8e9a-c23a718b5c5b"]
},
WindowSize->{1920, 1018},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.4 Inherited,
FrontEndVersion->"13.2 for Microsoft Windows (64-bit) (January 30, 2023)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"6d3fbdcb-728a-4fdd-ae35-2aaff40949da"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 24299, 645, 2155, "Input",ExpressionUUID->"f1a50a03-e5c0-4cd7-8e9a-c23a718b5c5b"]
}
]
*)

